Subject: Question about CMP(RFC2510)

From: "Lee Hyangjin" <[email-masked]>
Date: Wed, 15 Dec 2004 11:42:46 +0900

Hi, 

I have a question on 'pvno' described in RFC2510, chapter 3.1.1 PKI Message Header.

In this specfication, 'pvno' field is fixed at one(ietf-version2).

So, I tried to find out the previous version(ietf-version1), I couldn't  find out  in IETF web page.

Why is the version2 ? Is there the previous spec?

Regards,
Lee

******************************************
Hyangjin Lee
 
Researcher
E-Transaction Security Technology Team
Korea Information Security Agency
Tel.82-2-4055-446
Fax.82-2-4055-499
E-mail: [email-masked]
******************************************

---

From: [email-masked] (Peter Gutmann)
Date: Wed, 15 Dec 2004 18:37:32 +1300

>Why is the version2 ? Is there the previous spec?

Hmm, that's a bit of a complex question.  What was supposed to be CMP didn't
work but there was no way of fixing it, so the version number was changed to
ensure that the form that worked slightly better than the original would look
like something else to any implementation of the original form.  So there's
sort of a version 1 except that there isn't.

Peter.

---

From: "Miguel Rodriguez" <[email-masked]>
Date: Wed, 15 Dec 2004 09:05:48 -0600

OK let's see, I just checked draft-ietf-pkix-rfc2510bis-09.txt where
pvno is defined as follows  (section 5.1.1, page 27) :

pvno    INTEGER  { cmp1999(1), cmp2000(2) }

Now this draft expired on August 12, 2004. My guess is that we'll hear
from the authors of  draft-ietf-pkix-rfc2510bis-09.txt anytime soon,
perhaps this issue will be cleared then. Draft bis07 for RFC2511 has
expired too, I still have to read what Jim Schaad wrote. 

Regards,

Miguel A Rodriguez
SeguriData
Mexico

>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of Lee Hyangjin
>Sent: Tuesday, December 14, 2004 8:43 PM
>To: [email-masked]
>Subject: Question about CMP(RFC2510)
>
>
>
>Hi, 
>